%define oname systemsettings

Summary:	Plasma 5 System Settings module
Name:		plasma5-%{oname}
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		systemsettings-5.5.2-rename-translations.patch
# Don't show detailed tooltips by default
Patch1:		systemsettings-5.3.1-tooltips.patch
# Install system-administration category, we need it
Patch2:		systemsettings-5.3.1-system-administration.patch
# Add "System" to desktop categories
Patch3:		systemsettings-5.5.5-desktop-categories.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5auth-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5khtml-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
Conflicts:	kdebase4-workspace

%description
Plasma 5 System Settings module. It provides the user with a centralized
and convenient way to configure all of the settings for your desktop.

%files -f %{oname}.lang
%{_kde5_applicationsdir}/kdesystemsettings.desktop
%{_kde5_applicationsdir}/systemsettings.desktop
%{_kde5_bindir}/systemsettings5
%dir %{_kde5_datadir}/systemsettings/
%{_kde5_datadir}/systemsettings/*
%{_kde5_services}/settings-*.desktop
%{_kde5_servicetypes}/systemsettings*.desktop
%{_kde5_xmlguidir}/systemsettings/systemsettingsui.rc
%{_qt5_plugindir}/classic_mode.so
%{_qt5_plugindir}/icon_mode.so

#----------------------------------------------------------------------------

%define systemsettingsview_major 3
%define libsystemsettingsview %mklibname systemsettingsview %{systemsettingsview_major}

%package -n %{libsystemsettingsview}
Summary:	Plasma 5 System Settings shared library
Group:		System/Libraries

%description -n %{libsystemsettingsview}
Plasma 5 System Settings shared library.

%files -n %{libsystemsettingsview}
%{_kde5_libdir}/libsystemsettingsview.so.%{systemsettingsview_major}*

#----------------------------------------------------------------------------

%define devsystemsettings %mklibname systemsettings -d

%package -n %{devsystemsettings}
Summary:	Development files for Plasma 5 System Settings library
Group:		Development/KDE and Qt
Requires:	%{libsystemsettingsview} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	kdebase4-workspace-devel

%description -n %{devsystemsettings}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devsystemsettings}
%{_includedir}/systemsettingsview
%{_kde5_libdir}/libsystemsettingsview.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

for oldlang in po/*/%{oname}.po
do
    newlang=`echo $oldlang | sed s,\.po,5\.po,g`
    mv $oldlang $newlang
done

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{oname} %{oname}5 %{oname}.lang --with-html --with-kde

%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (661df8d) New version 5.7.2


